summaryrefslogtreecommitdiffstats
path: root/meta-agl-html5-demo/recipes-core/nss/nss-agl-driver-db/nss-agl-driver-db.sh
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2024-06-27 12:46:02 +0000
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2024-07-01 08:58:18 +0000
commit63e0ea358f1902b1dd9968b21b5eea649d04329e (patch)
tree4231493c300f4d9ea2c84b6e290919486bf7e0b6 /meta-agl-html5-demo/recipes-core/nss/nss-agl-driver-db/nss-agl-driver-db.sh
parent9eda76e3a9c869030ff4bcf66704207753666a6c (diff)
Move html5 demo into sublayer
The HTML5 demo needs additional fixes. Move it into a sublayer and activate with agl-demo-html5. Bug-AGL: SPEC-5188 Change-Id: I2f1a07dcfbcaf7e09d4d0d3aec1aa8f096336287 Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Reviewed-on: https://gerrit.automotivelinux.org/gerrit/c/AGL/meta-agl-demo/+/30042 ci-image-build: Jenkins Job builder account Tested-by: Jenkins Job builder account Reviewed-by: Scott Murray <scott.murray@konsulko.com> ci-image-boot-test: Jenkins Job builder account
Diffstat (limited to 'meta-agl-html5-demo/recipes-core/nss/nss-agl-driver-db/nss-agl-driver-db.sh')
-rwxr-xr-xmeta-agl-html5-demo/recipes-core/nss/nss-agl-driver-db/nss-agl-driver-db.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/meta-agl-html5-demo/recipes-core/nss/nss-agl-driver-db/nss-agl-driver-db.sh b/meta-agl-html5-demo/recipes-core/nss/nss-agl-driver-db/nss-agl-driver-db.sh
new file mode 100755
index 00000000..1a8351bf
--- /dev/null
+++ b/meta-agl-html5-demo/recipes-core/nss/nss-agl-driver-db/nss-agl-driver-db.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+
+# TLDR we need this file for chromium to connect back to kuksa.
+
+# check if directory already exists and bail out
+if test -d /home/agl-driver/.pki/nssdb ; then
+ echo "Directory already exists! Doing nothing."
+ exit 127
+fi
+
+# setup empty db in subfolder
+mkdir -p /home/agl-driver/.pki/nssdb
+certutil -N -d /home/agl-driver/.pki/nssdb --empty-password
+
+# deploy cert into local db
+certutil -A -d /home/agl-driver/.pki/nssdb -n "KuksaRootCA" -t "pC,," -i /etc/kuksa-val/CA.pem
+
+#chown -R agl-driver:agl-driver /home/agl-driver/.pki/nssdb